﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <DockerfileContext>..\..\..</DockerfileContext>
  </PropertyGroup>
  <PropertyGroup>
    <VersionSuffix>1.$([System.DateTime]::Now.ToString(yy)).$([System.DateTime]::Now.ToString(MMdd)).$([System.DateTime]::Now.ToString(HHmm))</VersionSuffix>
    <AssemblyVersion Condition=" '$(VersionSuffix)' == '' ">0.0.0.1</AssemblyVersion>
    <AssemblyVersion Condition=" '$(VersionSuffix)' != '' ">$(VersionSuffix)</AssemblyVersion>
    <Version Condition=" '$(VersionSuffix)' == '' ">0.0.1.0</Version>
    <Version Condition=" '$(VersionSuffix)' != '' ">$(VersionSuffix)</Version>
    <Company>Citigo</Company>
    <Authors>Citigo</Authors>
    <Copyright>Copyright © Citigo 2020</Copyright>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Impls\**" />
    <Compile Remove="Interfaces\**" />
    <!--<EmbeddedResource Remove="Impls\**" />
    <EmbeddedResource Remove="Interfaces\**" />
    <None Remove="Impls\**" />
    <None Remove="Interfaces\**" />-->
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Hosting.WindowsServices" Version="3.1.0" />
    <PackageReference Include="Quartz" Version="3.0.7" />
    <PackageReference Include="ServiceStack.OrmLite.Core" Version="5.4.0" />
    <PackageReference Include="ServiceStack.OrmLite.SqlServer.Core" Version="5.4.0" />
    <PackageReference Include="ServiceStack.Server.Core" Version="5.4.0" />
    <PackageReference Include="ServiceStack.Text.Core" Version="5.4.0" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\Api\InternalApi\Demo.OmniChannel.Sdk\Demo.OmniChannel.Sdk.csproj" />
    <ProjectReference Include="..\..\Business\Demo.OmniChannel.Business.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Demo.OmniChannel.DCControl\Demo.OmniChannel.DCControl.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Demo.OmniChannel.Infrastructure\Demo.OmniChannel.Infrastructure.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Demo.OmniChannel.Services\Demo.OmniChannel.Services.csproj" />
    <ProjectReference Include="..\..\Shared\Demo.OmniChannel.ChannelClient\Demo.OmniChannel.ChannelClient.csproj" />
    <ProjectReference Include="..\..\Utilities\Demo.OmniChannel.KafkaClient\Demo.OmniChannel.KafkaClient.csproj" />
    <ProjectReference Include="..\..\Utilities\Demo.OmniChannel.Utilities\Demo.OmniChannel.Utilities.csproj" />
  </ItemGroup>
  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Demo.OmniChannelCore.Api.Sdk">
      <HintPath>..\..\..\Components\Demo.OmniChannelCore.Api.Sdk.dll</HintPath>
    </Reference>
    <Reference Include="Demo.OmniChannelCore.Api.Shared">
      <HintPath>..\..\..\Components\Demo.OmniChannelCore.Api.Shared.dll</HintPath>
    </Reference>
  </ItemGroup>
</Project>
